// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdVideoIdentPlugin",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdVideoIdentPlugin", targets: ["WebIdVideoIdentPluginWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdPluginCore",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-plugin-core-spm.git",
            .branch("redesign-v4-snapshots")
        ),
        .package(
            name: "DeviceKit",
            url: "https://github.com/devicekit/DeviceKit.git",
            .exact("5.2.2")
        ),
        .package(
            name: "AhoyKit",
            url: "https://github.com/ahoyconference/ahoykit-swift",
            .exact("6.1.0")
        ),
        .package(
            name: "AhoyWebRTC",
            url: "https://github.com/ahoyconference/ahoywebrtc-swift.git",
            .exact("1.8.0")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdVideoIdentPlugin",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4-snapshots/de/webid-solutions/WebIdVideoIdentPlugin/20.0.0/WebIdVideoIdentPlugin.framework-v20.0.0-SNAPSHOT-441.zip",
            checksum: "d2a717c1e9c84c1e30e5575efe65ad30a998f07c9253621d2cd33a83b113fb05"
        ),
        .target(
            name: "WebIdVideoIdentPluginWrapper",
            dependencies: [
                .target(name: "WebIdVideoIdentPlugin"),
                // [target dependecies here]
                
                .product(name: "WebIdPluginCore", package: "WebIdPluginCore"),
                .product(name: "DeviceKit", package: "DeviceKit"),
                .product(name: "AhoyKit", package: "AhoyKit"),
                .product(name: "AhoyWebRTC", package: "AhoyWebRTC"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
